#
# Conditional build:
%bcond_with	tests		# perform "make test"

%define	pdir	Event
%define	pnam	Lib
Summary:	Event::Lib - Perl extentions for event-based programming
Summary(pl.UTF-8):	Event::Lib - rozszerzenie Perla dla programowania opertego na zdarzeniach
Name:		perl-Event-Lib
Version:	1.04
Release:	13
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
#Source0:	http://www.cpan.org/modules/by-module/Event/%{pdir}-%{pnam}-%{version}.tar.gz
Source0:	http://search.cpan.org/CPAN/authors/id/C/CR/CRUX/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	38bc3b6b9bf44740275dad9198e702fc
#URL:		http://search.cpan.org/dist/Event-Lib/
URL:		http://search.cpan.org/~crux/Event-Lib/
Patch0:		libevent-2.1.patch
BuildRequires:	libevent-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-dirs >= 2.1-16
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is a Perl wrapper around libevent(3) as available from
<http://www.monkey.org/~provos/libevent/>. It allows to execute a
function whenever a given event on a filehandle happens, a timeout
occurs or a signal is received.

Under the hood, one of the available mechanisms for asynchronously
dealing with events is used. This could be select, poll, epoll,
devpoll or kqueue. The idea is that you don't have to worry about
those details and the various interfaces they offer. Event::Lib offers
a unified interface to all of them.

%description -l pl.UTF-8
Moduł ten jest perlowym opakowaniem biblioteki libevent(3) dostępnej
pod adresem <http://www.monkey.org/~provos/libevent/>. Pozwala na
wywołanie funkcji w przypadku określonego zdarzenia na uchwycie pliku,
upłynięcia limitu czasu lub odebrania sygnału.

Wewnątrz używany jest jeden z dostępnych mechanizmów do
asynchronicznej obsługi zdarzeń - może to być select, poll, epoll,
devpoll lub kqueue. Idea jest taka, że programista nie musi martwić
się o szczegóły związane z każdym z tych interfejsów. Event::Lib
oferuje ujednolicony interfejs do nich wszystkich.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Event/Lib.pm
%dir %{perl_vendorarch}/auto/Event/Lib
%attr(755,root,root) %{perl_vendorarch}/auto/Event/Lib/Lib.so
%{_mandir}/man3/Event::Lib.3pm*
%changelog
* Sat Jun 29 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Event-Lib.git;a=log;h=master

* Sat Jun 29 2024 Jan Palus <atler@pld-linux.org> 592fd6f
- perl 5.40.0 rebuild

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 71d809d
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> ebd6e22
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 0d32e2c
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 2991b61
- rebuild with perl 5.32

* Sat Feb 08 2020 Jan Rękorajski <baggins@pld-linux.org> 6536521
- rebuild with libevent 2.1.11
- release 8 (by relup.sh)

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 40e3978
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> af1fe81
- rebuild with perl 5.30.0
- release 7 (by relup.sh)

* Wed Aug 29 2018 Marcin Krol <hawk@tld-linux.org> 8d4149e
- release 6

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> ea9bb74
- perl req/prov fix
- release 5 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 8f944db
- rebuild with perl 5.26
- release 4 (by relup.sh)

* Tue Apr 04 2017 Jan Rękorajski <baggins@pld-linux.org> d735f6a
- fix building with libevent 2.1
- rel 3

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 62c96d8
- rebuild with perl 5.24.0
- release 2 (by relup.sh)

* Wed Jul 27 2016 Elan Ruusamäe <glen@delfi.ee> b4a4f96
- up to 1.04 (UNAUTHORIZED RELEASE in CPAN)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 193aa2e
- release 9 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> b6408fd
- x32 rebuild
- release 8 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 008be29
- release 7 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 9f6a0d9
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 3ebfa33
- rebuild for perl 5.20
- release 6 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 73bb574
- rebuild with perl 5.18.0
- release 5 (by relup.sh)

